
From: <Andries.Brouwer@cwi.nl>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/isofs/rock.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff -puN fs/isofs/rock.c~isofs-add-static fs/isofs/rock.c
--- 25/fs/isofs/rock.c~isofs-add-static	2004-09-05 14:56:28.219313064 -0700
+++ 25-akpm/fs/isofs/rock.c	2004-09-05 14:56:28.223312456 -0700
@@ -160,8 +160,10 @@ int get_rock_ridge_filename(struct iso_d
   return 0;
 }
 
-int parse_rock_ridge_inode_internal(struct iso_directory_record * de,
-			            struct inode * inode,int regard_xa){
+static int
+parse_rock_ridge_inode_internal(struct iso_directory_record *de,
+				struct inode *inode, int regard_xa)
+{
   int len;
   unsigned char * chr;
   int symlink_len = 0;
@@ -175,7 +177,7 @@ int parse_rock_ridge_inode_internal(stru
      chr+=14;
      len-=14;
      if (len<0) len=0;
-   };
+   }
    
  repeat:
   {
@@ -435,9 +437,9 @@ int parse_rock_ridge_inode(struct iso_di
        &&(ISOFS_SB(inode->i_sb)->s_rock==2))
      {
 	result=parse_rock_ridge_inode_internal(de,inode,14);
-     };
+     }
    return result;
-};
+}
 
 /* readpage() for symlinks: reads symlink contents into the page and either
    makes it uptodate and returns 0 or returns error (-EIO) */
_
